Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040871
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-05-14 09:492019-05-16 19:02
ReporterxabiermerinoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionb755760c064c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040871: Wrong Cash up using the property CashUp - Group payments by expected amount

DescriptionIf the property CashUp - Group payments by expected amount is active the behaviour of the cash ups is wrong
Steps To Reproduce1.Activate the preference CashUp - Group payments by expected amount
2.Log into webPOS
3.Pay 150€ in cash
4.Cash up:
* 100 in cash
* 50 in card
5.Finish the cash up
6.Realize that 50€ does not appear as Total Counted in the report and in the cash up of the backoffice
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040893RR19Q2.1 closedranjith_qualiantech_com Wrong Cash up using the property CashUp - Group payments by expected amount 

-  Notes
(0111720)
hgbot (developer)
2019-05-16 15:35

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b755760c064c3e33df38e91f3624ff5367671a32
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu May 16 18:55:15 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b755760c064c3e33df38e91f3624ff5367671a32 [^]

Fixed issue 40871 : Counted amount should not be updated with expected amount when its already having value

* With Pref. CashUp - Group payments by expected amount enabled,
  While doing cashup, If Counted amount is manually updated for Payments with expected amount as Zero,
  When moving to next step(Keep the amount), those manually updated Counted amount should not be changed

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
---

- Issue History
Date Modified Username Field Change
2019-05-14 09:49 xabiermerino New Issue
2019-05-14 09:49 xabiermerino Assigned To => Retail
2019-05-14 09:49 xabiermerino Triggers an Emergency Pack => No
2019-05-15 09:50 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-05-15 09:50 ranjith_qualiantech_com Status new => scheduled
2019-05-16 15:35 hgbot Checkin
2019-05-16 15:35 hgbot Note Added: 0111720
2019-05-16 15:35 hgbot Status scheduled => resolved
2019-05-16 15:35 hgbot Resolution open => fixed
2019-05-16 15:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b755760c064c3e33df38e91f3624ff5367671a32 [^]
2019-05-16 19:00 marvintm Review Assigned To => marvintm
2019-05-16 19:00 marvintm Status resolved => closed
2019-05-16 19:00 marvintm Fixed in Version => RR19Q3
2019-05-16 19:02 marvintm Status closed => new
2019-05-16 19:02 marvintm Resolution fixed => open
2019-05-16 19:02 marvintm Fixed in Version RR19Q3 =>
2019-05-16 19:02 marvintm Status new => scheduled
2019-05-16 19:02 marvintm Status scheduled => resolved
2019-05-16 19:02 marvintm Fixed in Version => RR19Q3
2019-05-16 19:02 marvintm Resolution open => fixed
2019-05-16 19:02 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker